Subject: Re: gitweb.cgi in C

From: [email-masked] (Randal L. Schwartz)
Date: 09 Dec 2005 07:45:57 -0800

>>>>> "Mark" == Mark Allen <[email-masked]> writes:

Mark> I started working on a GIT-XS project around GIT 0.9 timeframe, but the changes to APIs
Mark> and calls was still way too rapid, so I decided to back burner it. 

Mark> I haven't looked at the libification work that Smurf is doing (haven't made time for it
Mark> lately), but if it's not TOO python specific, maybe I can use it too.

A "lite" version using Inline::C can be quickly constructed if
only the API were all listed in one place, or a few easy to find places.

I spent about ten minutes trying to find this information a few weeks
back, but apparently, that was about five minutes (or more) too short.

Any quick pointers on how -lgit is constructed?

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!